<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        /* input[att="btn"] {
            width : 500px;
        } */
        input[att]{
            width: 500px;
            background-color: aliceblue;
        }
    </style>
</head>
<body>
    <!-- <div>Sample code</div>
    <ul>
        <li>1</li>
        <li>2</li>
    </ul>
    <input type="button" value="click to popup" id="popup_id"> -->
    <input type="button" value="click here" id="popup_id" att="btn">
    <script>
        // document.body.style.background = 'skyblue';
        // var child_cnt = document.body.childElementCount;
        // console.log(child_cnt);
        // var child_nodes = document.body.childNodes.length;
        // console.log(child_nodes);
        // for(var i=0;i<child_nodes;i++){
        //     console.log(i+" "+document.body.childNodes[i]);
        // }
        // console.log(document.head.nextElementSibling);
        // console.log(document.body.previousElementSibling);
        // var ele = document.documentElement.getElementsByTagName('li');
        // console.log(ele);
        // console.log(document.getBoundingClientRect);
        // let x = document.documentElement.clientWidth/8;
        // let y = document.documentElement.clientHeight/8;
        // console.log(x + " " + y);
        // var co = document.elementFromPoint(x,y);
        // co.style.background = 'yellow';
        // console.log(co);
        // var qs = document.querySelectorAll('ul > li:last-child');
        // console.log(qs);
        let params = 'width=300px height=300px';//if no params the url given opens in new window
        function popup_fun(){
            window.open('https://javascript.info/popup-windows','popups',params);
        }
        popup_id.addEventListener("click",popup_fun);
        let newWindow = open('https://javascript.info/popup-windows','popups',params);
        newWindow.addEventListener("onload" , ()=>console.log("win loaded"));
        // newWindow.onload = function(){
        //     console.log("win loaded");
        // }
        alert(document.cookie);
        document.cookie = "username=pavani";
        alert(document.cookie);
        console.log(window.location.href);
        console.log(window.location.pathname);
        console.log(window.location.hostname);
        console.log(window.location.protocol);
        console.log(window.location.port);
        console.log(navigator.javaEnabled());
        var x = document.getElementById('popup_id').getAttribute('att');
        console.log(x);
        let win = open("./session5.html",'start_page',params);
        //win.document.write("hello window");
        // win.opener.close();
        // win.close();
        
        window.addEventListener("message",(e)=>{
            console.log(e.data);
        })
    </script>
</body>
</html>